> ## Documentation Index
> Fetch the complete documentation index at: https://docs.readyhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Search

> Create a registry check



## OpenAPI

````yaml POST /registry-check
openapi: 3.0.1
info:
  title: Ready Health API
  description: ''
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.readyhealth.com
security:
  - ApiKeyAuth: []
paths:
  /registry-check:
    post:
      description: Create a registry check
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NewSearch'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchResponse'
components:
  schemas:
    NewSearch:
      required:
        - external_id
        - context
        - registries
      type: object
      properties:
        external_id:
          description: UUID of the person being checked
          type: string
          format: uuid
        context:
          type: object
          properties:
            first_name:
              description: ''
              type: string
            middle_name:
              description: ''
              type: string
              nullable: true
            last_name:
              description: ''
              type: string
            date_of_birth:
              description: >-
                Format of YYYY-MM-DD. Optional but recommended for improved
                search accuracy.
              type: string
              format: date
              nullable: true
            zip:
              description: >-
                ZIP code for geographic context. Optional but recommended for
                improved search accuracy.
              type: string
              nullable: true
        registries:
          description: Array of registries to search
          type: array
          items:
            type: object
            required:
              - name
            properties:
              name:
                description: Registry to search
                type: string
                enum:
                  - ofac
                  - sam-exclusion
                  - oig-exclusion
                  - nsopw
                  - nj-debarred
                  - pa-medicheck
              match_type:
                description: >-
                  Type of matching for this registry. PARTIAL takes into account
                  aliases and name variations; EXACT requires precise name
                  matches. If not specified, the default from partner
                  configuration will be used.
                type: string
                enum:
                  - EXACT
                  - PARTIAL
    SearchResponse:
      description: >-
        Array of registry search results; each object represents one registry
        that was queried for a single provider.
      type: array
      items:
        type: object
        required:
          - search_id
          - registry
          - result
          - query
          - metadata
          - matches
          - filteredResults
          - attestation
        properties:
          search_id:
            description: Unique identifier for this search execution
            type: string
          registry:
            description: >-
              Registry code that was queried (e.g., "oig-exclusion", "nsopw",
              "sam", "ofac")
            type: string
          registryPrettyName:
            description: Human-readable name of the registry
            type: string
          result:
            description: Outcome of the search
            type: string
            enum:
              - match_found
              - no_match_found
          query:
            type: object
            required:
              - external_id
              - registries
              - context
              - searched_at
            properties:
              external_id:
                description: UUID correlated to the individual being checked
                type: string
                format: uuid
              registries:
                description: Array of registries that were searched
                type: array
                items:
                  type: string
              match_type:
                description: Type of matching used for the search
                type: string
                enum:
                  - PARTIAL
                  - EXACT
              context:
                type: object
                required:
                  - first_name
                  - last_name
                properties:
                  first_name:
                    type: string
                  middle_name:
                    type: string
                    nullable: true
                  last_name:
                    type: string
                  date_of_birth:
                    type: string
                    format: date
                    nullable: true
                  zip:
                    type: string
                    nullable: true
              searched_at:
                type: string
                format: date-time
          metadata:
            type: object
            properties:
              last_updated_at:
                description: Date (UTC) the underlying registry dataset was last refreshed
                type: string
                format: date-time
          matches:
            description: >-
              Potential records returned by the registry that resemble the query
              subject. This array will be empty if no matches are found.
            type: array
            minItems: 0
            items:
              type: object
              required:
                - name
                - identifiers
                - address
              properties:
                name:
                  type: object
                  required:
                    - first
                    - last
                  properties:
                    first:
                      type: string
                    middle:
                      type: string
                      nullable: true
                    last:
                      type: string
                identifiers:
                  type: object
                  properties:
                    npi:
                      type: string
                      nullable: true
                    dob:
                      type: string
                      format: date
                      nullable: true
                aliases:
                  type: array
                  nullable: true
                  description: >-
                    Array of aliases for the name if available. Aliases are only
                    matched if match_type is set to PARTIAL.
                  items:
                    type: string
                address:
                  type: object
                  properties:
                    line1:
                      type: string
                    city:
                      type: string
                    state:
                      type: string
                    zip:
                      type: string
          filteredResults:
            description: >-
              Results that match the search criteria before filtering out false
              positives. This array will be empty if no filtered results are
              found.
            type: array
            minItems: 0
            items:
              type: object
              required:
                - name
                - identifiers
                - address
                - aliases
              properties:
                name:
                  type: object
                  required:
                    - first
                    - last
                  properties:
                    first:
                      type: string
                    middle:
                      type: string
                      nullable: true
                    last:
                      type: string
                identifiers:
                  type: object
                  properties:
                    npi:
                      type: string
                      nullable: true
                    dob:
                      type: string
                      format: date
                      nullable: true
                address:
                  type: object
                  properties:
                    line1:
                      type: string
                    city:
                      type: string
                    state:
                      type: string
                    zip:
                      type: string
                aliases:
                  type: array
                  items:
                    type: string
          attestation:
            type: object
            required:
              - id
              - createdAt
              - updatedAt
              - type
              - metadata
              - documentId
              - registrySearchId
              - fileId
              - deletedAt
              - file
            properties:
              id:
                type: string
                format: uuid
              createdAt:
                type: string
                format: date-time
              updatedAt:
                type: string
                format: date-time
              type:
                type: string
                enum:
                  - EXTERNAL_VALIDATION
              metadata:
                type: object
                properties:
                  input:
                    type: object
                    properties:
                      result:
                        type: string
                      client_name:
                        type: string
                      issuer_name:
                        type: string
                      search_date:
                        type: string
                      candidate_dob:
                        type: string
                      registry_type:
                        type: string
                      certificate_type:
                        type: string
                      filtered_results:
                        type: array
                        items:
                          type: object
                          properties:
                            last_name:
                              type: string
                            first_name:
                              type: string
                            middle_name:
                              type: string
                              nullable: true
                            date_of_birth:
                              type: string
                              format: date
                              nullable: true
                      candidate_full_name:
                        type: string
                  bucket:
                    type: string
                  template:
                    type: string
              documentId:
                type: string
                nullable: true
              registrySearchId:
                type: string
              fileId:
                type: string
                format: uuid
              deletedAt:
                type: string
                nullable: true
              file:
                type: object
                required:
                  - id
                  - key
                  - childIndex
                  - createdAt
                  - deletedAt
                  - originalName
                  - mimeType
                  - parentId
                  - updatedAt
                  - url
                properties:
                  id:
                    type: string
                    format: uuid
                  key:
                    type: string
                  childIndex:
                    type: string
                    nullable: true
                  createdAt:
                    type: string
                    format: date-time
                  deletedAt:
                    type: string
                    nullable: true
                  originalName:
                    type: string
                  mimeType:
                    type: string
                  parentId:
                    type: string
                    nullable: true
                  quality:
                    type: string
                    nullable: true
                  updatedAt:
                    type: string
                    format: date-time
                  url:
                    type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````